summaryrefslogtreecommitdiffstats
path: root/bin/housekeeping.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2013-01-01 13:22:47 +0100
committerHolger Levsen <holger@layer-acht.org>2013-01-01 13:22:47 +0100
commitfc9b42d5133cf916a091844e6434bb273801e2db (patch)
tree3ea4cfe3bb4ebae416c316c36c2382c89e96b73e /bin/housekeeping.sh
parent9cde42a2506db0ca33b59e59ad92e5eaf2b59613 (diff)
downloadjenkins.debian.net-fc9b42d5133cf916a091844e6434bb273801e2db.tar.xz
ignore failures on df
Diffstat (limited to 'bin/housekeeping.sh')
-rwxr-xr-xbin/housekeeping.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/bin/housekeeping.sh b/bin/housekeeping.sh
index cc38e49d..5bce9dfa 100755
--- a/bin/housekeeping.sh
+++ b/bin/housekeeping.sh
@@ -63,7 +63,8 @@ general_housekeeping() {
uptime
echo
- df -h
+ # ignore unreadable /media fuse mountpoints from guestmount
+ df -h 2>/dev/null || true
echo
for DIR in /var/cache/apt/archives/ /var/spool/squid/ /var/cache/pbuilder/build/ /var/lib/jenkins/jobs/ ; do
@@ -77,7 +78,7 @@ general_housekeeping() {
echo
vnstat
- df |grep tmpfs > /dev/null || ( echo ; echo "Warning: no tmpfs mounts in use. Please investigate the host system." ; exit 1 )
+ (df 2>/dev/null || true ) | grep tmpfs > /dev/null || ( echo ; echo "Warning: no tmpfs mounts in use. Please investigate the host system." ; exit 1 )
}
#